Subject: Re: [PATCH net-next 1/4] dt-bindings: net: dsa: add MT7628 ESW

From: Joris Vaisvila <[email-masked]>
Date: Fri, 27 Mar 2026 08:00:51 +0200

Hi Daniel, thanks for the feedback

On Thu, Mar 26, 2026 at 11:11:23PM +0000, Daniel Golle wrote:
> > [...]
> > +            port@6 {
> > +                reg = <6>;
> > +                ethernet = <&ethernet>;
> > +                phy-mode = "rgmii";
> 
> Is this actually RGMII internally? Or some unknown internal way to
> wire the switch CPU port to the CPU MAC? In this case, "internal"
> should be used here as well.

I don't know how to find this out for sure.

In the MT7628 doc (https://vonger.cn/upload/MT7628_Full.pdf) port 6 is
refered to as RGMII port 1 (RGMII port 0 being the non-existent port 5),
but there are no clock registers to be seen.
In RT3050 docs there are RGMII clock registers for port 5, but nothing
for port 6, so maybe the CPU port is really using some mystery internal
connection and only uses "RGMII" as a way to say it's a Gigabit port?

On the hardware I'm testing on, it works fine with the port set to
"internal" or "rgmii". Would it make more sense to set "internal" then? 

Thanks,
Joris